<?php

	/*  Register 'front_archive_list' menu */
	function add_front_archive_list_menu(){
		register_nav_menu( 'front_archive_list', __( 'Featured Posts', 'richtaste' ) );
	}
	add_action( 'after_setup_theme', 'add_front_archive_list_menu' );


	/* Get Posts from Menu */
	function get_front_posts_list(){
		$d_items = '';
		$locations = get_nav_menu_locations();

		$categories_from_menu = wp_get_nav_menu_items( $locations['front_archive_list'] );
		$posts_array = array();
		foreach($categories_from_menu as $k1=>$v1){
		    $posts_array[] = $v1->object_id;
	    }

		$items = new WP_Query(array(
			'post_type' => array('post', 'page'),
			'post__in' => $posts_array,
			'ignore_sticky_posts' => true,
			'posts_per_page' => -1,
			'orderby' => 'post__in'
		));

		$count = 1;
		if($items->have_posts()){
			while($items->have_posts()){ $items->the_post();

				//Get featured image
				$attachment_image = get_the_post_thumbnail(get_the_ID(), 'thumbnail');

				ob_start(); ?>
				
				<?php 
				  if ($count==1) {echo ('<div class="medium-6 featuredbig">'); get_template_part( 'loop-featured-first', get_post_format() );} 
				  if ($count==2) {echo ('<div class="medium-6 featuredfour columns"><div class="row small-up-2">'); } 
			 	  if ($count>=2) {get_template_part( 'loop-featured', get_post_format() ); }
				  if ($count==1) {echo ('</div>'); } 
				  

				$count++; $d_items .= ob_get_clean(); 
			} 

			
		}
		wp_reset_postdata();

		return $d_items;  
	}

	add_filter( 'posts_orderby', 'sort_query_by_post_in', 10, 2 );


	function sort_query_by_post_in( $sortby, $thequery ) {
		if ( !empty($thequery->query['post__in']) && isset($thequery->query['orderby']) && $thequery->query['orderby'] == 'post__in' )
			$sortby = "find_in_set(ID, '" . implode( ',', $thequery->query['post__in'] ) . "')";

		return $sortby;
	}
?>