<?php
// Options Page

	if ( ! function_exists( 'richtaste' ) ) :

		function richtaste( $name ) {
			$default_theme_options = array(
				'logo' => '',
				'centeredlogo' => '',
				'colorhdfont' => '#000000',
				'colorhdfonthover' => '#aaaaaa',
				'colornavfont' => '#000000',
				'colornavfonthover' => '#aaaaaa',
				'displayrelatedposts' => '1',
				'color1' => '#CE3175',
				'color2' => '#CE3175',
				'colorfontbuttons' => '#FFFFFF',
				'copyright' =>  '<a href="'.home_url().'">'.get_bloginfo( 'name' ).'</a>',
				);
		
			$options = wp_parse_args( get_option( 'richtaste' ), $default_theme_options );

			return $options[$name];
		}
	endif;

add_action( 'customize_register', 'richtaste_customize_register' );
function richtaste_customize_register( $wp_customize ) {

	$wp_customize->add_setting( 'richtaste[centeredlogo]', array(
		'default' => richtaste( 'centeredlogo' ),
		'sanitize_callback' => 'sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'richtaste[centeredlogo]', array(
		'settings' => 'richtaste[centeredlogo]',
		'label'    => __( 'Center Logo', 'richtaste' ),
		'section'  => 'title_tagline',
		'type'     => 'checkbox',
		'priority' => 50,
	) );
	
			
	$wp_customize->add_section( 'richtaste_colors', array(
		'title' => __( 'Colors', 'richtaste' ),
		'priority' => 100,
	) );
	

	$wp_customize->add_setting( 'richtaste[colorhdfont]', array(
		'default' => richtaste( 'colorhdfont' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );	
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfont', array(
		'label'   => __( 'Header Font Color', 'richtaste' ),
		'section' => 'richtaste_colors',
		'settings'   => 'richtaste[colorhdfont]',
		'priority' => 7,
	) ) );

	$wp_customize->add_setting( 'richtaste[colorhdfonthover]', array(
		'default' => richtaste( 'colorhdfonthover' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfonthover', array(
		'label'   => __( 'Header Font Hover Color', 'richtaste' ),
		'section' => 'richtaste_colors',
		'settings'   => 'richtaste[colorhdfonthover]',
		'priority' => 8,
	) ) );

	
	$wp_customize->add_setting( 'richtaste[colornavfont]', array(
		'default' => richtaste( 'colornavfont' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colornavfont', array(
		'label'   => __( 'Menu Font Color', 'richtaste' ),
		'section' => 'richtaste_colors',
		'settings'   => 'richtaste[colornavfont]',
		'priority' => 12,
	) ) );

	$wp_customize->add_setting( 'richtaste[colornavfonthover]', array(
		'default' => richtaste( 'colornavfonthover' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colornavfonthover', array(
		'label'   => __( 'Menu Font Hover Color', 'richtaste' ),
		'section' => 'richtaste_colors',
		'settings'   => 'richtaste[colornavfonthover]',
		'priority' => 15,
	) ) );

	$wp_customize->add_setting( 'richtaste[color1]', array(
		'default' => richtaste( 'color1' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color1', array(
		'label'   => __( 'Lead Color', 'richtaste' ),
		'section' => 'richtaste_colors',
		'settings'   => 'richtaste[color1]',
		'priority' => 20,
	) ) );
	
	$wp_customize->add_setting( 'richtaste[color2]', array(
		'default' => richtaste( 'color2' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color2', array(
		'label'   => __( '2. Lead Color', 'richtaste' ),
		'section' => 'richtaste_colors',
		'settings'   => 'richtaste[color2]',
		'priority' => 30,
	) ) );
	
	$wp_customize->add_setting( 'richtaste[colorfontbuttons]', array(
		'default' => richtaste( 'colorfontbuttons' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorfontbuttons', array(
		'label'   => __( 'Button Font Color', 'richtaste' ),
		'section' => 'richtaste_colors',
		'settings'   => 'richtaste[colorfontbuttons]',
		'priority' => 40,
	) ) );

    $wp_customize->add_section( 'richtaste_misc', array(
		'title' => __( 'Misc.', 'richtaste' ),
		'priority' => 120,
	) );

	$wp_customize->add_setting( 'richtaste[displayrelatedposts]', array(
		'default' => richtaste( 'displayrelatedposts' ),
		'sanitize_callback' => 'sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'richtaste[displayrelatedposts]', array(
		'settings' => 'richtaste[displayrelatedposts]',
		'label'    => __( 'Display Related Posts', 'richtaste' ),
		'section'  => 'richtaste_misc',
		'type'     => 'checkbox',
		'priority' => 20,
	) );
	
	$wp_customize->add_setting( 'richtaste[copyright]', array(
		'default' => richtaste( 'copyright' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'copyright', array(
		'label' => __( 'Copyright Notice in Footer', 'richtaste' ),
		'section' => 'richtaste_misc',
		'settings' => 'richtaste[copyright]',
		'priority' => 30,
	) );

} 

function sanitize_text_html( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}

function sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}

/* Add CSS to customizer to display controls for front widget areas */
function richtaste_customizer_styles() { ?>
  <style>
  [id^='customize-control-front-page-area'] {
	display: block !important;
	}
  </style>
  <?php
}
add_action( 'customize_controls_print_styles', 'richtaste_customizer_styles' );

/* Add CSS */
function add_styles() {
  if ( ! function_exists( 'get_richicon_font' ) ) {
    $richicon_font = array(
        'base' => get_template_directory_uri()."/font/richicons",
        'version' => '13409116');
  } else {
    $richicon_font = get_richicon_font();
  }
 ?>
<style type="text/css">
@font-face {
  font-family: 'richicons';
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']; ?>');
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']."#iefix"; ?>') format('embedded-opentype'),
    url('<?php echo $richicon_font['base'].".woff?".$richicon_font['version']; ?>') format('woff'),
    url('<?php echo $richicon_font['base'].".ttf?".$richicon_font['version']; ?>') format('truetype'),
    url('<?php echo $richicon_font['base'].".svg?".$richicon_font['version']."#richicons"; ?>') format('svg');
    font-weight: normal;
    font-style: normal;
  }

 .header a {
 	color:<?php echo richtaste('colorhdfont');?>;
 }

  .header a:hover{
 	color:<?php echo richtaste('colorhdfonthover');?>;
 }


.title-bar,
.top-bar a,
.top-bar .current-menu-item ul.submenu a,
#iconmenu li:before,
.menushop .is-dropdown-submenu a,
.menushop .is-dropdown-submenu a:hover{
	color:<?php echo richtaste('colornavfont');?>;
}
.top-bar-left .dropdown.menu > li.is-dropdown-submenu-parent.opens-right > a:after,
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a::after,
.top-bar-left .is-accordion-submenu-parent a::after{
  border-color: <?php echo richtaste('colornavfont');?> transparent transparent;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a::after {
	border-color: transparent transparent transparent <?php echo richtaste('colornavfont');?>;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-left > a::after {
	border-color: transparent <?php echo richtaste('colornavfont');?> transparent;
}
.top-bar a:hover,
.top-bar .current-menu-item a,
.top-bar .current-menu-item ul.submenu a:hover,
.dropdown.menu > li.is-dropdown-submenu-parent > a:hover:after,
#iconmenu li:hover:before{
	color:<?php echo richtaste('colornavfonthover');?>;
}
.top-bar-left .dropdown.menu > li.is-dropdown-submenu-parent.opens-right > a:hover:after,
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a:hover:after,
.top-bar-left .is-accordion-submenu-parent a:hover:after{
  border-color: <?php echo richtaste('colornavfonthover');?> transparent transparent;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a:hover:after {
	border-color: transparent transparent transparent <?php echo richtaste('colornavfonthover');?>;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-left > a:hover:after {
	border-color: transparent <?php echo richtaste('colornavfonthover');?> transparent;
}

<?php if (is_page_template('page-front.php')) { ?>

		<?php if ((richtaste('front-page-area-expanded-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-expanded' ))) : ?>
			.front-page-widget-area-expanded-wrap {
					background: <?php echo richtaste('front-page-area-expanded-bg');?>;
					color: <?php echo richtaste('front-page-area-expanded-text');?>;
				}
			.front-page-widget-area-expanded-wrap a, .front-page-widget-area-expanded-wrap a:hover{color: <?php echo richtaste('front-page-area-expanded-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-expanded-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-expanded-wrap [class^="icon-"]:before, .front-page-widget-area-expanded-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-expanded-text');?>;}
		<?php endif; ?>

		<?php if ((richtaste('front-page-area-1-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-1' ))) : ?>
			.front-page-widget-area-1-wrap {
					background: <?php echo richtaste('front-page-area-1-bg');?>;
					color: <?php echo richtaste('front-page-area-1-text');?>;
				}
			.front-page-widget-area-1-wrap a, .front-page-widget-area-1-wrap a:hover{color: <?php echo richtaste('front-page-area-1-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-1-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-1-wrap [class^="icon-"]:before, .front-page-widget-area-1-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-1-text');?>;}
		<?php endif; ?>

		<?php if ((richtaste('front-page-area-2-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-2' ))) : ?>
			.front-page-widget-area-2-wrap {
					background: <?php echo richtaste('front-page-area-2-bg');?>;
					color: <?php echo richtaste('front-page-area-2-text');?>;
				}
			.front-page-widget-area-2-wrap a, .front-page-widget-area-2-wrap a:hover{color: <?php echo richtaste('front-page-area-2-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-2-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-2-wrap [class^="icon-"]:before, .front-page-widget-area-2-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-1-text');?>;}
		<?php endif; ?>

		<?php if ((richtaste('front-page-area-3-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-3' ))) : ?>
			.front-page-widget-area-3-wrap {
					background: <?php echo richtaste('front-page-area-3-bg');?>;
					color: <?php echo richtaste('front-page-area-3-text');?>;
				}
			.front-page-widget-area-3-wrap a, .front-page-widget-area-3-wrap a:hover{color: <?php echo richtaste('front-page-area-3-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-3-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-3-wrap [class^="icon-"]:before, .front-page-widget-area-3-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-3-text');?>;}
		<?php endif; ?>

		<?php if ((richtaste('front-page-area-4-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-4' ))) : ?>
			.front-page-widget-area-4-wrap {
					background: <?php echo richtaste('front-page-area-4-bg');?>;
					color: <?php echo richtaste('front-page-area-4-text');?>;
				}
			.front-page-widget-area-4-wrap a, .front-page-widget-area-4-wrap a:hover{color: <?php echo richtaste('front-page-area-4-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-4-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-4-wrap [class^="icon-"]:before, .front-page-widget-area-4-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-4-text');?>;}
		<?php endif; ?>

		<?php if ((richtaste('front-page-area-5-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-5' ))) : ?>
			.front-page-widget-area-5-wrap {
					background: <?php echo richtaste('front-page-area-5-bg');?>;
					color: <?php echo richtaste('front-page-area-5-text');?>;
				}
			.front-page-widget-area-5-wrap a, .front-page-widget-area-5-wrap a:hover{color: <?php echo richtaste('front-page-area-5-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-5-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-5-wrap [class^="icon-"]:before, .front-page-widget-area-5-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-5-text');?>;}
		<?php endif; ?>

		<?php if ((richtaste('front-page-area-6-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-6' ))) : ?>
			.front-page-widget-area-6-wrap {
					background: <?php echo richtaste('front-page-area-6-bg');?>;
					color: <?php echo richtaste('front-page-area-6-text');?>;
				}
			.front-page-widget-area-6-wrap a, .front-page-widget-area-6-wrap a:hover{color: <?php echo richtaste('front-page-area-6-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-6-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-6-wrap [class^="icon-"]:before, .front-page-widget-area-6-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-6-text');?>;}
		<?php endif; ?>

		<?php if ((richtaste('front-page-area-7-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-7' ))) : ?>
			.front-page-widget-area-7-wrap {
					background: <?php echo richtaste('front-page-area-7-bg');?>;
					color: <?php echo richtaste('front-page-area-7-text');?>;
				}
			.front-page-widget-area-7-wrap a, .front-page-widget-area-7-wrap a:hover{color: <?php echo richtaste('front-page-area-7-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-7-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-7-wrap [class^="icon-"]:before, .front-page-widget-area-7-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-7-text');?>;}
		<?php endif; ?>

		<?php if ((richtaste('front-page-area-8-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-8' ))) : ?>
			.front-page-widget-area-8-wrap {
					background: <?php echo richtaste('front-page-area-8-bg');?>;
					color: <?php echo richtaste('front-page-area-8-text');?>;
				}
			.front-page-widget-area-8-wrap a, .front-page-widget-area-8-wrap a:hover{color: <?php echo richtaste('front-page-area-8-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-8-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-8-wrap [class^="icon-"]:before, .front-page-widget-area-8-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-8-text');?>;}
		<?php endif; ?>

		<?php if ((richtaste('front-page-area-9-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-9' ))) : ?>
			.front-page-widget-area-9-wrap {
					background: <?php echo richtaste('front-page-area-9-bg');?>;
					color: <?php echo richtaste('front-page-area-9-text');?>;
				}
			.front-page-widget-area-9-wrap a, .front-page-widget-area-9-wrap a:hover{color: <?php echo richtaste('front-page-area-9-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-9-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-9-wrap [class^="icon-"]:before, .front-page-widget-area-9-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-9-text');?>;}
		<?php endif; ?>

		<?php if ((richtaste('front-page-area-10-bg') != "#ffffff") && ( is_active_sidebar( 'front-page-widget-area-10' ))) : ?>
			.front-page-widget-area-10-wrap {
					background: <?php echo richtaste('front-page-area-10-bg');?>;
					color: <?php echo richtaste('front-page-area-10-text');?>;
				}
			.front-page-widget-area-10-wrap a, .front-page-widget-area-10-wrap a:hover{color: <?php echo richtaste('front-page-area-10-text');?>; border-bottom:1px solid;}
			.front-page-widget-area-10-wrap a:hover{opacity:0.7; border-bottom:none; text-decoration:none;}
			.front-page-widget-area-10-wrap [class^="icon-"]:before, .front-page-widget-area-10-wrap [class*=" icon-"]:before {color: <?php echo richtaste('front-page-area-10-text');?>;}
		<?php endif; ?>
<?php } ?>


a,
a:hover,
.postbox a:hover .entry-title,
#sidebar a:hover,
#copyright a:hover,
#creditline a:hover,
#footermenu a:hover,
#footer-widget-area a:hover, 
#top-widget-area a:hover,
.pagination-centered .previouspostlinks a:hover, 
.pagination-centered .nextpostlinks a:hover,
.comment-metadata a:hover, 
.postboxmetacat a:hover,
.fn a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template('page-front.php') ) { ?>						
		, .woocommerce .woocommerce-info::before<?php } }?>
	{
	color:<?php echo richtaste('color1');?>;
}
.none
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template('page-front.php') ) { ?>, 
		.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
		.woocommerce #payment #place_order,
		.woocommerce-page #payment #place_order,
		.woocommerce #respond input#submit.alt:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce a.button.alt:hover,
		.woocommerce button.button.alt:hover,
		.woocommerce input.button.alt:hover,
		.woocommerce input.button,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.add_to_cart_button:hover,
		.woocommerce #respond input#submit.alt,
		.woocommerce a.button.alt,
		.woocommerce button.button.alt,
		.woocommerce input.button.alt<?php } } ?>
	{
	background:<?php echo richtaste('color1');?>;
}
.button,
.button:hover, 
.button:focus,
.add_to_cart_button:hover,
.add_to_cart_button:focus,
.comment-list .reply a,
.comment-list .reply a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template('page-front.php') ) { ?>,
		.woocommerce ul.products li.product .button,
		.woocommerce input.button:hover,
		.woocommerce span.onsale<?php } } ?>
{
	background-color:<?php echo richtaste('color2');?>;
	color: <?php echo richtaste('colorfontbuttons');?>;
}
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template('page-front.php') ) { ?>
			.woocommerce a.added_to_cart:before{
				color:<?php echo richtaste('color2');?>;
			} 
		
			.woocommerce .woocommerce-info{
				border-top-color: <?php echo richtaste('color2');?>;
			} 
<?php 	} } ?>
.entry-content a.more-link,
.button,
.comment-list .reply a,
.comment-list .reply a:hover,
.add_to_cart_button
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template('page-front.php') ) { ?>
		.woocommerce ul.products li.product .button,
		.woocommerce input.button,
		.woocommerce input.button:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.woocommerce span.onsale<?php } } ?>
	{
	color:<?php echo richtaste('colorfontbuttons');?>;
}
</style>
<?php } add_action('wp_head', 'add_styles'); ?>